#-----------------------------------------------------------------------------
%define		dist		.ok
%define		shortname	%(echo %{name} | cut -d '-' -f1)
%define		max		%{shortname}-maximus
#-----------------------------------------------------------------------------
Name		:	mate-netbook
Version		:	1.27.0
Release		:	14.4.0.0%{?dist}
Summary		:	MATE volume control application and applet
Group		:	Development/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GLPLv2
URL		:	http://pub.mate-desktop.org/releases/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	gtk3+
BuildRequires	:	intltool
BuildRequires	:	libfakekey-devel
BuildRequires	:	libwnck
BuildRequires	:	libXtst
BuildRequires	:	mate-common
BuildRequires	:	mate-panel

Requires(post)	:	/usr/bin/update-desktop-database
Requires(post)	:	/usr/bin/glib-compile-schemas
#-----------------------------------------------------------------------------
%description
This package contains a few media utilities for the mate desktop,
including a volume control and a configuration utility for audio
profiles.

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_sysconfdir}/xdg/autostart/%{max}-autostart.desktop
%{_bindir}/%{max}
%{_libexecdir}/%{shortname}-window-picker-applet
%{_datadir}/dbus-1/services/org.%{shortname}.panel.applet.*.service
%{_datadir}/glib-2.0/schemas/org.%{shortname}.*.xml
%{_datadir}/%{shortname}-panel/applets/*org.%{shortname}.*-applet
%{_datadir}/%{shortname}-panel/ui/%{shortname}-*.xml
%{_mandir}/man1/%{max}.1.gz

#-----------------------------------------------------------------------------
%post
update-desktop-database
glib-compile-schemas					\
	%{_datadir}/glib-2.0/schemas >>			\
	/var/log/%{name}-zypper.log 2>&1

%postun
/usr/sbin/ldconfig
if [ "$1" = 0 ]; then
  glib-compile-schemas					\
	%{_datadir}/glib-2.0/schemas >>			\
	/var/log/%{name}-zypper.log 2>&1
  update-desktop-database
  fi

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

./autogen.sh						\
        --prefix=%{_prefix}				\
        --sysconfdir=%{_sysconfdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--datadir=%{_datadir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%version	\
	--disable-schemas-compile			\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install
	

%find_lang %name

#-----------------------------------------------------------------------------
%changelog
